=== debian/control ===
Source: kaddressbook
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Michael Meskes <meskes@debian.org>,
           Sandro Knauß <hefee@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               extra-cmake-modules (>= 6.6.0~),
               gettext,
               libakonadi-dev (>= 4:25.11.80~),
               libakonadicontact-dev (>= 4:25.11.80~),
               libakonadisearch-dev (>= 4:25.11.80~),
               libgrantleetheme-dev (>= 25.11.80~),
               libkdepim-dev (>= 4:25.11.80~),
               libkf6coreaddons-dev (>= 6.6.0~),
               libkf6crash-dev (>= 6.6.0~),
               libkf6dbusaddons-dev (>= 6.6.0~),
               libkf6doctools-dev (>= 6.6.0~),
               libkf6iconthemes-dev (>= 6.6.0~),
               libkf6kcmutils-dev (>= 6.6.0~),
               libkf6userfeedback-dev (>= 6.6.0~),
               libkldap-dev (>= 25.11.80~),
               libkontactinterface-dev (>= 25.11.80~),
               libpimcommon-dev (>= 4:25.11.80~),
               libplasmaactivities-dev (>= 6.1.0~),
               pkgconf,
               qt6-base-dev (>= 6.6.0+dfsg~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/pim/kaddressbook
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kaddressbook
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kaddressbook
Rules-Requires-Root: no

Package: kaddressbook
Section: utils
Architecture: any
Depends: akonadi-server,
         kaddressbook-data (= ${source:Version}),
         kdepim-runtime [amd64 arm64 armhf i386],
         libakonadisearch-bin,
         libakonadisearch-plugins,
         libkpim6addressbookimportexport6 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: kdepim-addons,
Description: address book and contact data manager
 KAddressBook enables you to manage your contacts efficiently and comfortably.
 It can load and save your contacts to many different locations, including
 the local file system, LDAP servers, and SQL databases.

Package: kaddressbook-data
Architecture: all
Multi-Arch: foreign
Replaces: kaddressbook (<< 4:21.04.0~),
Breaks: kaddressbook (<< 4:21.04.0~),
Depends: ${misc:Depends},
Description: address book and contact data manager - data files
 KAddressBook enables you to manage your contacts efficiently and comfortably.
 It can load and save your contacts to many different locations, including
 the local file system, LDAP servers, and SQL databases.
 .
 This package contains the data files.

Package: libkaddressbook-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkpim6addressbookimportexport6 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Addressbook import export library - development files
 KAddressBook enables you to manage your contacts efficiently and comfortably.
 It can load and save your contacts to many different locations, including
 the local file system, LDAP servers, and SQL databases.
 .
 This package contains the development files.

Package: libkpim6addressbookimportexport6
Provides: ${ABI:VirtualPackage},
Section: libs
Architecture: any
Multi-Arch: same
Depends: kaddressbook-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Addressbook import export library
 KAddressBook enables you to manage your contacts efficiently and comfortably.
 It can load and save your contacts to many different locations, including
 the local file system, LDAP servers, and SQL databases.
 .
 This package contains the libary used for the import and and export of
 contacts.
