## kaddressbook 25.11.90

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,12 @@
 # SPDX-License-Identifier: CC0-1.0
 # SPDX-FileCopyrightText: none
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.5.80")
+set(PIM_VERSION "6.5.90")
 project(kaddressbook VERSION ${PIM_VERSION})
 # Update it for each release
-set(KADDRESSBOOK_RELEASE_VERSION_DATE "25.11.10") # yy.MM.dd
-
-set(RELEASE_SERVICE_VERSION "25.11.80")
+set(KADDRESSBOOK_RELEASE_VERSION_DATE "25.11.27") # yy.MM.dd
+
+set(RELEASE_SERVICE_VERSION "25.11.90")
 set(KF_MIN_VERSION "6.18.0")
 set(CMAKE_CXX_STANDARD 20)
 set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
@@ -53,7 +53,7 @@
 include(CheckFunctionExists)
 
 # Do NOT add quote
-set(KDEPIM_DEV_VERSION beta)
+set(KDEPIM_DEV_VERSION rc)
 
 # add an extra space
 if(DEFINED KDEPIM_DEV_VERSION)
@@ -62,8 +62,8 @@
 
 set(KDEPIM_VERSION "${PIM_VERSION}${KDEPIM_DEV_VERSION} (${RELEASE_SERVICE_VERSION})")
 
-set(AKONADI_VERSION "6.5.80")
-set(KONTACTINTERFACE_LIB_VERSION "6.5.80")
+set(AKONADI_VERSION "6.5.90")
+set(KONTACTINTERFACE_LIB_VERSION "6.5.90")
 
 set(KDEPIM_LIB_VERSION "${PIM_VERSION}")
 set(KDEPIM_LIB_SOVERSION "6")
@@ -78,12 +78,12 @@
         DBus
         PrintSupport
 )
-set(LIBKDEPIM_LIB_VERSION "6.5.80")
-set(LIBGRANTLEETHEME_LIB_VERSION "6.5.80")
-set(PIMCOMMON_LIB_VERSION "6.5.80")
-set(AKONADI_SEARCH_VERSION "6.5.80")
-set(AKONADI_CONTACT_VERSION "6.5.80")
-set(KLDAP_LIB_VERSION "6.5.80")
+set(LIBKDEPIM_LIB_VERSION "6.5.90")
+set(LIBGRANTLEETHEME_LIB_VERSION "6.5.90")
+set(PIMCOMMON_LIB_VERSION "6.5.90")
+set(AKONADI_SEARCH_VERSION "6.5.90")
+set(AKONADI_CONTACT_VERSION "6.5.90")
+set(KLDAP_LIB_VERSION "6.5.90")
 
 # Find KF6 package
 find_package(KF6DBusAddons ${KF_MIN_VERSION} CONFIG REQUIRED)
