## kaddressbook 25.12.0+p24.04+vstable+git20260105.1029

=== debian/changelog ===
kaddressbook (4:25.12.0+p24.04+vstable+git20260105.1029-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 05 Jan 2026 10:29:10 +0000

kaddressbook (4:25.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:41:13 +1000
