=== debian/control ===
--- 
+++ 
@@ -1,40 +1,43 @@
 Source: kaddressbook
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Michael Meskes <meskes@debian.org>,
            Sandro Knauß <hefee@debian.org>,
            Sune Vuorela <sune@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               extra-cmake-modules (>= 6.6.0~),
+               cmake (>= 3.16~),
+               extra-cmake-modules (>= 6.18.0~),
                gettext,
-               libakonadi-dev (>= 4:25.12.0~),
-               libakonadicontact-dev (>= 4:25.12.0~),
-               libakonadisearch-dev (>= 4:25.12.0~),
-               libgrantleetheme-dev (>= 25.12.0~),
-               libkdepim-dev (>= 4:25.12.0~),
-               libkf6coreaddons-dev (>= 6.6.0~),
-               libkf6crash-dev (>= 6.6.0~),
-               libkf6dbusaddons-dev (>= 6.6.0~),
-               libkf6doctools-dev (>= 6.6.0~),
-               libkf6iconthemes-dev (>= 6.6.0~),
-               libkf6kcmutils-dev (>= 6.6.0~),
-               libkf6userfeedback-dev (>= 6.6.0~),
-               libkldap-dev (>= 25.12.0~),
-               libkontactinterface-dev (>= 25.12.0~),
-               libpimcommon-dev (>= 4:25.12.0~),
-               libplasmaactivities-dev (>= 6.1.0~),
+               libakonadi-dev (>= 4:25.12.1~),
+               libakonadicontact-dev (>= 4:25.12.1~),
+               libakonadisearch-dev (>= 4:25.12.1~),
+               libgrantleetheme-dev (>= 25.12.1~),
+               libkdepim-dev (>= 4:25.12.1~),
+               libkf6colorscheme-dev (>= 6.18.0~),
+               libkf6coreaddons-dev (>= 6.18.0~),
+               libkf6crash-dev (>= 6.18.0~),
+               libkf6dbusaddons-dev (>= 6.18.0~),
+               libkf6doctools-dev (>= 6.18.0~),
+               libkf6iconthemes-dev (>= 6.18.0~),
+               libkf6kcmutils-dev (>= 6.18.0~),
+               libkf6userfeedback-dev (>= 6.18.0~),
+               libkldap-dev (>= 25.12.1~),
+               libkontactinterface-dev (>= 25.12.1~),
+               libktextaddons-dev (>= 1.8.0~),
+               libpimcommon-dev (>= 4:25.12.1~),
+               libplasmaactivities-dev (>= 6.3.0~),
                pkgconf,
                qt6-base-dev (>= 6.6.0+dfsg~),
-Standards-Version: 4.7.0
+               xauth <!nocheck>,
+               xvfb <!nocheck>,
+Standards-Version: 4.7.3
 Homepage: https://invent.kde.org/pim/kaddressbook
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kaddressbook
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kaddressbook
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kaddressbook
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kaddressbook.git
 Rules-Requires-Root: no
 
 Package: kaddressbook
