## kaddressbook 25.12.1+p24.04+vstable+git20260131.0344

=== debian/changelog ===
kaddressbook (4:25.12.1+p24.04+vstable+git20260131.0344-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 31 Jan 2026 03:44:36 +0000

kaddressbook (4:25.12.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 23:32:15 +1000
