## kaddressbook 25.12.2+p24.04+vunstable+git20260207.0539

=== CMakeLists.txt ===
--- 
+++ 
@@ -190,7 +190,7 @@
     string(APPEND CMAKE_CXX_FLAGS " -Wshadow")
 endif()
 ecm_set_disabled_deprecation_versions(QT 6.11.0
-     KF 6.22.0
+     KF 6.23.0
 )
 
 if(TARGET KF6::UserFeedbackWidgets)
