=== src/CMakeLists.txt ===
--- 
+++ 
@@ -66,6 +66,7 @@
         configuredialog.cpp
         whatsnew/whatsnewtranslations.cpp
         whatsnew/whatsnewtranslations.h
+        kaddressbook_options.h
 )
 
 ki18n_wrap_ui(kaddressbookprivate
